# netapp_e_iscsi_interface – NetApp E-Series manage iSCSI interface configuration

New in version 2.7.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Configure settings of an E-Series iSCSI interface

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address - |  | The IPv4 address to assign to the interface. Should be specified in xx.xx.xx.xx form. Mutually exclusive with config_method=dhcp
api_password string / required |  | The password to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the SANtricity Web Services Proxy or Embedded Web Services API. Example https://prod-1.wahoo.acme.com/devmgr/v2
api_username string / required |  | The username to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.

config_method
-

Choices:
- dhcp ←
- static

The configuration method type to use for this interface.
dhcp is mutually exclusive with address, subnet_mask, and gateway.

controller
- / required

Choices:
- A
- B

The controller that owns the port you want to configure.
Controller names are presented alphabetically, with the first controller as A, the second as B, and so on.
Current hardware models have either 1 or 2 available controllers, but that is not a guaranteed hard limitation and could change in the future.

gateway - |  | The IPv4 gateway address to utilize for the interface. Should be specified in xx.xx.xx.xx form. Mutually exclusive with config_method=dhcp
log_path - |  | A local path to a file to be used for debug logging

mtu
-

Default:
1500

The maximum transmission units (MTU), in bytes.
This allows you to configure a larger value for the MTU, in order to enable jumbo frames (any value > 1500).
Generally, it is necessary to have your host, switches, and other components not only support jumbo frames, but also have it configured properly. Therefore, unless you know what you're doing, it's best to leave this at the default.
aliases: max_frame_size

name - / required |  | The channel of the port to modify the configuration of. The list of choices is not necessarily comprehensive. It depends on the number of ports that are available in the system. The numerical value represents the number of the channel (typically from left to right on the HIC), beginning with a value of 1. aliases: channel
ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.

state
-

Choices:
- enabled ←
- disabled

When enabled, the provided configuration will be utilized.
When disabled, the IPv4 configuration will be cleared and IPv4 connectivity disabled.

subnet_mask - |  | The subnet mask to utilize for the interface. Should be specified in xx.xx.xx.xx form. Mutually exclusive with config_method=dhcp

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

## Notes

Note

- Check mode is supported.

- The interface settings are applied synchronously, but changes to the interface itself (receiving a new IP address via dhcp, etc), can take seconds or minutes longer to take effect.

- This module will not be useful/usable on an E-Series system without any iSCSI interfaces.

- This module requires a Web Services API version of >= 1.3.

- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.

- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.

- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    - name: Configure the first port on the A controller with a static IPv4 address
      netapp_e_iscsi_interface:
        name: "1"
        controller: "A"
        config_method: static
        address: "192.168.1.100"
        subnet_mask: "255.255.255.0"
        gateway: "192.168.1.1"
        ssid: "1"
        api_url: "10.1.1.1:8443"
        api_username: "admin"
        api_password: "myPass"

    - name: Disable ipv4 connectivity for the second port on the B controller
      netapp_e_iscsi_interface:
        name: "2"
        controller: "B"
        state: disabled
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"

    - name: Enable jumbo frames for the first 4 ports on controller A
      netapp_e_iscsi_interface:
        name: "{{ item | int }}"
        controller: "A"
        state: enabled
        mtu: 9000
        config_method: dhcp
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"
      loop:
        - 1
        - 2
        - 3
        - 4

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
enabled boolean | on success | Indicates whether IPv4 connectivity has been enabled or disabled. This does not necessarily indicate connectivity. If dhcp was enabled without a dhcp server, for instance, it is unlikely that the configuration will actually be valid. Sample: True
msg string | on success | Success message Sample: The interface settings have been updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Price (@lmprice)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.